#!/usr/bin/python

import gzip
import sys
from pyvirtualdisplay import Display
from selenium import webdriver
from selenium.webdriver.common.keys import Keys

display = Display(visible=0, size=(800, 600))
display.start()

def get_lvmc_case_report(caseNumber):
    driver = webdriver.Firefox()
    driver.get('https://secure2.lasvegasnevada.gov/defendantreport/Default.aspx')
    casenum = driver.find_element_by_name('txt_CaseNo')
    casenum.send_keys(caseNumber)
    casenum.send_keys(Keys.RETURN)
    driver.implicitly_wait("3")

    for handle in driver.window_handles:
        driver.switch_to_window(handle)
        if driver.current_url == 'https://secure2.lasvegasnevada.gov/defendantreport/report.aspx':
            filename = caseNumber + '.html.gz'
            outfile = gzip.open(filename, 'wb')
            outfile.write(driver.page_source)
            outfile.close()
            print "Wrote %s" % filename
    driver.quit()

cases = ['C' + str(x) + 'A' for x in range(int(sys.argv[1]), int(sys.argv[2]), 1)]

for case in cases:
    print case
    get_lvmc_case_report(case)
    # The time it takes to open a browser window is enough,
    # no need to sleep
    # sleep(randint(0,1))

display.stop()
